oracle.adf.view.rich.render

## Class TransitionInfoBuilder

- java.lang.Object
- - oracle.adf.view.rich.render.TransitionInfoBuilder

-     @Exported
      public class TransitionInfoBuilder
      extends Object

  Builder class for a TransitionInfo object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionInfoBuilder()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToComponent(javax.faces.component.UIComponent component, TransitionInfo transitionInfo)` Attempt to add the given TransitionInfo to the given component.
    `TransitionInfo` | `build()` Builder.
    `TransitionInfoBuilder` | `setTransition(TransitionType triggerType)`
    `TransitionInfoBuilder` | `setTransition(javax.el.ValueExpression triggerType)` Builder.
    `TransitionInfoBuilder` | `setTriggerType(TransitionTrigger triggerType)`
    `TransitionInfoBuilder` | `setTriggerType(javax.el.ValueExpression triggerType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransitionInfoBuilder

          public TransitionInfoBuilder()

      Constructor.

  - ### Method Detail

    - #### addToComponent

          public static void addToComponent(javax.faces.component.UIComponent component,
                                            TransitionInfo transitionInfo)

      Attempt to add the given TransitionInfo to the given component. Do nothing if a "transitions" PropertyKey does not exist on the component.
      Parameters:
        `component` - the UI component.
        `transitionInfo` - the transition info.

    - #### build

          public final TransitionInfo build()

      Builder.
      Returns:
        a TransitionInfo based on the predefined properties

    - #### setTriggerType

          public final TransitionInfoBuilder setTriggerType(TransitionTrigger triggerType)

      Parameters:
        `triggerType` - the trigger type
      Returns:
        a TransitionInfo based on the predefined properties

    - #### setTriggerType

          public final TransitionInfoBuilder setTriggerType(javax.el.ValueExpression triggerType)

      Parameters:
        `triggerType` - the value expression trigger type
      Returns:
        a TransitionInfo based on the predefined properties

    - #### setTransition

          public final TransitionInfoBuilder setTransition(TransitionType triggerType)

      Parameters:
        `triggerType` - the transition type trigger type
      Returns:
        a TransitionInfo based on the predefined properties

    - #### setTransition

          public final TransitionInfoBuilder setTransition(javax.el.ValueExpression triggerType)

      Builder.
      Parameters:
        `triggerType` - the alue expression trigger type
      Returns:
        a TransitionInfo based on the predefined properties

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.